Несколько уязвимостей в Achievo

Дата публикации:
06.06.2006
Дата изменения:
30.09.2008
Всего просмотров:
932
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2688
CVE-2007-2736
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Achievo 1.x
Уязвимые версии: Achievo 1.2, возможно другие версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "atkselector" в сценарии class.employee.inc. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при наличии доступа к административной странице приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "config_atkroot" в сценарии atk.inc. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/index.php?config_atkroot=[file]

URL производителя: www.achievo.org/product/

Решение: Установите последнюю версию 1.2.1 с сайта производителя.

Журнал изменений:

30.09.2008
Изменено описание уязвимости.

Ссылки: SQL injection vulnerability in class.employee.inc
http://milw0rm.com/exploits/3928

или введите имя

CAPTCHA